@mixin border(
  $backgroundpositionbottom: -4px,
  $backgroundtransparency: 93%,
  $backgroundsizeleft: 100%,
  $underlinecolor: $c-orange
) {
  text-decoration: none;
  background-image: linear-gradient(
    180deg,
    transparent $backgroundtransparency,
    $underlinecolor 0
  );
  background-repeat: no-repeat;
  background-position: 0 $backgroundpositionbottom;
  background-size: $backgroundsizeleft 100%;
  transition: background-size 300ms ease-in-out;
}
